Soft delete a sage
curl --request DELETE \
--url {protocol}://{host}:{port}/pl/sage/{sage_id} \
--header 'Authorization: Bearer <token>'import requests
url = "{protocol}://{host}:{port}/pl/sage/{sage_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('{protocol}://{host}:{port}/pl/sage/{sage_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/sage/{sage_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/sage/{sage_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("{protocol}://{host}:{port}/pl/sage/{sage_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/sage/{sage_id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true,
"version": 123,
"greeting": "<string>",
"reminders": "<string>",
"opening": "<string>",
"closing": "<string>",
"end_condition": "<string>",
"directions": "<string>",
"guidance": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"avatar": "<string>",
"chat_avatar": "<string>",
"duration_list": [
123
],
"is_demo": true,
"is_internal": true,
"audio": true,
"language_code": "<string>",
"followup_days": 123,
"customizable": true,
"is_mentor": true,
"slug": "<string>",
"language": true,
"tagline": "<string>",
"default_tone": "<string>",
"default_role": "<string>",
"default_short_role": "<string>",
"role_level": "<string>"
}Sage
Soft delete a sage
Sets active = false on the sage record.
DELETE
/
pl
/
sage
/
{sage_id}
Soft delete a sage
curl --request DELETE \
--url {protocol}://{host}:{port}/pl/sage/{sage_id} \
--header 'Authorization: Bearer <token>'import requests
url = "{protocol}://{host}:{port}/pl/sage/{sage_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('{protocol}://{host}:{port}/pl/sage/{sage_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/sage/{sage_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/sage/{sage_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("{protocol}://{host}:{port}/pl/sage/{sage_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/sage/{sage_id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true,
"version": 123,
"greeting": "<string>",
"reminders": "<string>",
"opening": "<string>",
"closing": "<string>",
"end_condition": "<string>",
"directions": "<string>",
"guidance": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"avatar": "<string>",
"chat_avatar": "<string>",
"duration_list": [
123
],
"is_demo": true,
"is_internal": true,
"audio": true,
"language_code": "<string>",
"followup_days": 123,
"customizable": true,
"is_mentor": true,
"slug": "<string>",
"language": true,
"tagline": "<string>",
"default_tone": "<string>",
"default_role": "<string>",
"default_short_role": "<string>",
"role_level": "<string>"
}Authorizations
User JWT token passed in Authorization header
Headers
Required JWT permission: admin_sage (informational only -- enforced server-side)
Path Parameters
UUID of the sage
Response
Sage deactivated
Sage record (from SageModel.to_dict())